/* ducument CSS */

/* BUREAU */
@media only screen and (max-width: 1920px){
    
  h1 {
    font-size: 25px;
    margin-top: 0px;
    } 

    h2 {
    font-size: 26px;
    /* border: 0px; */
    margin-top: 0px;
    }

   body{ 
          position:absolute;
          display: flex;
        flex-direction: column;
          width:100%;
          height:100%;
          margin: 0px;
          font-size: 17px;
          /* font-family: Times, "Times New Roman", Georgia, serif; */
          background-color: lightslategray;
      }

  header{ 
        display: flex;
        flex-direction: row;
        width: 100%;
        height: 11%;
        /* column-count: 3; */
        background-color: lightblue;
        border: 3px red ;
        /* box-shadow: 3px 3px 0px red; */
        /* overflow: auto; */
    }

       
    .marge {
      flex: 1 1 auto;
      width: 30%;
      border: 3px red ;
    }
    .titre {
      flex: 1 1 auto;
      width: 50%;
      border: 0px;
      border: 3px red ;
    }
    .connexion {
      flex: 1 1 auto;
      /* grid-column: 3;
      grid-row: 1; */
      width: 30%;
      border: 3px red ;
    }
        /* ======================================= */
       
        main {
          /* position: absolute; */
          display: flex;
          flex: 1;
          /* top: 15%; */
          /* height: 78%;   */
          width: 100%;
          /* border: 3px red ; */
          overflow: auto;
        }
      nav { 
        /* flex: 1 1 auto; */
          /* position: absolute; */
          /* display: flex; */
          /* left: 0%;  	
          top: 13%;*/
          height: 100%;  
          width:30%;   
          /* grid-column: 1;
          grid-row: 1;
          grid-auto-columns: 100%;
          grid-auto-rows: 100%; */
          /* border: 3px red ;
          box-shadow: 3px 3px 0px red; */
          color: white;
          background-color:lightskyblue;
          /* font-size: 15px; */
          color: black;
          overflow: auto;
        }
        
        section{
            width: 50%;
            height: 100%;
            /* flex: 1 1 auto; */
            color: black;
            background-color: yellow;
            overflow: auto;
            /* word-wrap: break-word; */
            /* border: 3px red ;
            box-shadow: 3px 3px 0px red; */
           
        }
        
        aside{
            /* position:absolute; */
            /* top: 13%; */
            /* right: 0px; */
            width: 30%;
            height: 100%; 
            /* flex: 1 1 auto; */
            /* font-size: 20px; */
            color: black;
            background-color:lightskyblue; 
            /* border: 3px red ;
            box-shadow: 3px 3px 0px red; */
            /* word-wrap: break-word; */
            overflow: auto;
        }
        /* ========================================== */
      footer{
          /* position: absolute; */
        display: flex;
          left: 0px;
        bottom: 0px;
          width: 100%;
          height: 11%;  
          color: black; 
          background-color: #58D68D;
        /* border: 3px red ;
        box-shadow: 6px 6px 0px red; */
      }	
      .info				/* id */
      {
          /* position: absolute;
          top: 0px;
          right:0px;	 */
          width: 30%;
          height: 100%;
          flex: 1 1 auto;
          /* border: 3px red ;
          box-shadow: 6px 6px 0px red; */
          background-color: #DC7633;
          color: black;
      }
      .contact
      {
          flex: 1 1 auto;
          width: 30%;
          height: 100%;
          color: black;
          /* border: 3px red ;
          box-shadow: 3px 3px 0px red; */
          background-color: #DC7633;
          overflow: auto;
      }
      .autre
      {
          flex: 1 1 auto;
          width: 50%;
          height: 100%;
          background-color: #DC7633;
          color: black;
          /* border: 3px red ;
          box-shadow: 3px 3px 0px red; */
          overflow: auto;
      }
}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
    /* ========================== TABLETTE */
 
 @media only screen and (max-width: 1280px){
  
  h1{
    font-size: 125%;
    margin-top: 10px;
  }
  h2{
    font-size: 100%;
    margin-top: 19px;
  }

  body{ 
        /* position:absolute; */
        display: flex;
        flex-direction: column;
        width:100%;
        /* height:100%; */
        margin: 0px;
        font-size: 17px;
        /* font-family: Times, "Times New Roman", Georgia, serif; */
        background-color: lightslategray;
  }

  header{ 
        display: flex;
        flex-direction: row;
          width: 100%;
          height: 10%;
          /* column-count: 3; */
          background-color: lightblue;
          /* border: 3px red; */
          /* box-shadow: 3px 3px 0px red; */
          overflow: auto;
  }
    
      .marge {
        /* grid-column:  1;
        grid-row: 1; */
        /* height: 100%; */
        width: 10%;
        /* border: 3px red; */
      }
      .titre {
        /* grid-column: 2 ;
        grid-row: 1; */
        width: 30%;
        /* border: 3px red ; */
      }
      .connexion {
        /* grid-column: 3;
        grid-row: 1; */
        width:30%;
        /* border: 3px red ; */
      }
     
  main {
      display: grid;
      grid-template-columns: 30% 70%;
      grid-template-rows: 50%;
      overflow: auto;
      
    }
    
    nav { 
      grid-column: 1 ;
      grid-row: 1 / 2;
      width: 100%;
      height: 200%;
      overflow: auto;
    }
    
    section{
      grid-column: 2 ;
      grid-row: 2;
      width: 100%;
      height: 100%;
      background-color: yellow;
      /* justify-content: center; */
      overflow: auto;
        
    }
      
    aside{
          grid-column: 2;
          grid-row: 1;
          width: 100%;
          height: 100%;
          font-size: 15px;
          /* color: black; */
          background-color:lightskyblue; 
          /* border: 3px red ; */
          /* box-shadow: 3px 3px 0px red; */
          /* overflow: auto; */
      }

      footer{
        
        display: flex;
        flex-direction: row;
        /* left: 0px; */
        /* bottom: 0px; */
        /* width: 100%;
        height: 10%;   */
        color: black; 
        background-color: #58D68D;
        /* border: 3px red ; */
        /* box-shadow: 6px 6px 0px red; */
        overflow: auto;
      }	
      
      .contact
      {
          /* position: absolute; */
          top: 0px;
          /* left: 0px;	 */
          width: 10%;
          /* height: 87%; */
          color: black;
          /* border: 3px red ; */
          /* box-shadow: 3px 3px 0px red; */
          background-color: #DC7633;
          overflow: auto;
      }
      .autre
      {
          /* position:absolute; */
          /* right: 25%; */
          top: 0px;
          
          /* width: 10%; */
          /* height: 87%; */
          background-color: #DC7633;
          color: black;
          /* border: 3px red ; */
          /* box-shadow: 6px 6px 0px red; */
          overflow: auto;
      }
    .info				/* id */
      {
          position: absolute;
          top: 0px;
          right:0px;	
          width: 23%;
          height: 87%;
          /* border: 3px red ; */
          /* box-shadow: 6px 6px 0px red; */
          background-color: #DC7633;
          color: black;
      }
}
 
  /* =======================================================================  */
  /*================================= PORTABLE  */
  /*Paysage*/
  @media only screen and (max-width: 710px) and (max-height: 300px){
    
  h1 {
    font-size: 125%;
    margin-top: 5px;
    } 

    h2 {
    font-size: 100%;
    /* border: 0px; */
    margin-top: 5px;
    }

   body{ 
          position:absolute;
          display: flex;
        flex-direction: column;
          width:100%;
          height:100%;
          margin: 0px;
          font-size: 17px;
          /* font-family: Times, "Times New Roman", Georgia, serif; */
          background-color: lightslategray;
      }

  header{ 
        display: flex;
        flex-direction: row;
        width: 100%;
        height: 11%;
        /* column-count: 3; */
        background-color: lightblue;
        border: 3px red ;
        /* box-shadow: 3px 3px 0px red; */
        /* overflow: auto; */
    }
  
    .marge {
      flex: 1 1 auto;
      width: 30%;
      border: 3px red ;
    }
    .titre {
      flex: 1 1 auto;
      width: 50%;
      border: 0px;
      border: 3px red ;
    }
    .connexion {
      flex: 1 1 auto;
      /* grid-column: 3;
      grid-row: 1; */
      width: 30%;
      border: 3px red ;
    }
        /* ======================================= */
       
        main {
          /* position: absolute; */
          display: flex;
          flex: 1;
          /* top: 15%; */
          /* height: 78%;   */
          width: 100%;
          /* border: 3px red ; */
          overflow: auto;
        }
      nav { 
        /* flex: 1 1 auto; */
          /* position: absolute; */
          /* display: flex; */
          /* left: 0%;  	
          top: 13%;*/
          height: 100%;  
          width:30%;   
          /* grid-column: 1;
          grid-row: 1;
          grid-auto-columns: 100%;
          grid-auto-rows: 100%; */
          /* border: 3px red ;
          box-shadow: 3px 3px 0px red; */
          color: white;
          background-color:lightskyblue;
          /* font-size: 15px; */
          color: black;
          overflow: auto;
        }
        
        section{
            width: 50%;
            height: 100%;
            /* flex: 1 1 auto; */
            color: black;
            background-color: yellow;
            overflow: auto;
            /* word-wrap: break-word; */
            /* border: 3px red ;
            box-shadow: 3px 3px 0px red; */
           
        }
        
        aside{
            /* position:absolute; */
            /* top: 13%; */
            /* right: 0px; */
            width: 30%;
            height: 100%; 
            /* flex: 1 1 auto; */
            /* font-size: 20px; */
            color: black;
            background-color:lightskyblue; 
            /* border: 3px red ;
            box-shadow: 3px 3px 0px red; */
            /* word-wrap: break-word; */
            overflow: auto;
        }
        /* ========================================== */
      footer{
          /* position: absolute; */
        display: flex;
          left: 0px;
        bottom: 0px;
          width: 100%;
          height: 15%;  
          color: black; 
          background-color: #58D68D;
        /* border: 3px red ;
        box-shadow: 6px 6px 0px red; */
      }	
      .info				/* id */
      {
          /* position: absolute;
          top: 0px;
          right:0px;	 */
          width: 30%;
          height: 100%;
          flex: 1 1 auto;
          /* border: 3px red ;
          box-shadow: 6px 6px 0px red; */
          background-color: #DC7633;
          color: black;
      }
      .contact
      {
          flex: 1 1 auto;
          width: 30%;
          height: 100%;
          color: black;
          /* border: 3px red ;
          box-shadow: 3px 3px 0px red; */
          background-color: #DC7633;
          overflow: auto;
      }
      .autre
      {
          flex: 1 1 auto;
          width: 50%;
          height: 100%;
          background-color: #DC7633;
          color: black;
          /* border: 3px red ;
          box-shadow: 3px 3px 0px red; */
          overflow: auto;
      }
}

 
/*================================================================================= */
/*Portrait*/
@media only screen and (max-width: 480px) {
  body{
    display: flex;
    flex-direction: column;
    /* margin: 0px; */
    position: absolute;
    top: 0%;
    right: 0%;
    height: 100%;
    font-size: 16px;
  }
  h1{
    font-size: 22px;
    border: 0px;
    margin-top : 0%;
  }
  h2{
    font-size: 20px;
    margin-top : 0%;
  }
  header{ 
    display: flex;
    flex-direction: column; 
    height: 15%;
    width: 100%;
    position: relative;
    top: 0px;
    right: 0px;
    left: 0px;
    background-color: white;
	  /* border: 3px red ;
	  box-shadow: 3px 3px 0px red; */
	  /* overflow: auto; */
 }
  
  .marge {
    /* grid-column:  1;
    grid-row: 1; */
    height: 10%; 
    width: 100%; 
    /* border: 3px red ; */
    background-color: lightblue;
    overflow: auto;
  }
  .titre {
    /* grid-column: 1 ;
    grid-row: 2; */
    /* grid-auto-rows: 100%; */
    height: 10%;
    width: 100%;
    /* border: 3px red ; */
    background-color: lightblue;
    overflow: auto;
  }
  .connexion {
    /* grid-column: 1;
    grid-row: 3; */
    height: 10%; 
    width: 100%;
    /* border: 3px red ; */
    background-color: lightblue;
    /* overflow: auto; */
  }
/* +++++++++++++++++++++++++++++++++++++++ */
	main {
    display: block;
    flex-direction: column;
    /* position: absolute; */
    /* top: 15%; */
    width: 100%;
    height: auto;
	background-color: lightblue;
    overflow: auto;
	}
  nav{
    /* flex: 0 ; */
    /*top: 0%;*/
    height: auto;
    width: 100%; 
    overflow: auto;
  } 
  section{
    /* flex: 1; */
    /* position: absolute; */
    /*top: 20%;*/
    height: auto;
    width: 100%; 
    font-size: 16px;
    overflow: auto;
  }  
  aside{
    /*top: 70%;*/
    height: auto;
    width: 100%;
    font-size: 16px;
    overflow: auto;
  } 
/* +++++++++++++++++++++++++++++++++++++ */
  footer{  
    display: flex; 
    flex-direction: column;
    /* grid-template-columns: 1fr;  */
    height: 15%; 
    width: 100%;
    color: black; 
    background-color: #58D68D;
    /* border: 3px red ; */
    /* box-shadow: 3px 3px 0px red; */
    overflow: auto;
  }	

.contact
{
    width: 100%;
    height: 100%; 
    color: black;
    /* border: 3px red ;
    box-shadow: 3px 3px 0px red; */
    background-color: #DC7633;
    overflow: auto;
}
.autre
{
    width: 100%;
    height: 100%; 
    /* grid-column:  1;
    grid-row: 2; */
    background-color: #DC7633;
    color: black;
    /* border: 3px red ;
    box-shadow: 3px 3px 0px red; */
    overflow: auto;
}
.info				/* id */
{
     width: 100%;
     height: 100%; 
    /* border: 3px red ;
    box-shadow: 3px 3px 0px red; */
    background-color: #DC7633;
    color: black;
    /* overflow: auto; */
}  


}

canvas{
      /* border: 3px , red ; */
      background-color: white;
      margin: 10px;
      width: 90%;
      display: flex;
  align-items: center;
  justify-content: center;
      
    }

/* @media screen
{
	body {background: url(img/wallpaper.jpg) center top;}
} */

